# $Revision: 1.159.2.25 $, $Date: 2005/01/07 13:35:32 $
#
# Conditional build:
%bcond_without	cups	# without CUPS support
%bcond_with	ipv6	# with IPv6 support
%bcond_with	ldap	# with LDAP-based auth (instead of smbpasswd)
#
%define		vscan_version 0.3.5
Summary:	SMB server
Summary(cs):	Server SMB
Summary(da):	SMB server
Summary(de):	SMB-Server
Summary(es):	El servidor SMB
Summary(fi):	SMB-palvelin
Summary(fr):	Serveur SMB
Summary(it):	Server SMB
Summary(ja):	Samba SMB С
Summary(ko):	 SMB 
Summary(pl):	Serwer SMB
Summary(pt_BR):	Cliente e servidor SMB
Summary(ru):	SMB   
Summary(tr):	SMB sunucusu
Summary(uk):	SMB ̦  
Summary(zh_CN):	Samba ͻ˺ͷ
Name:		samba
Version:	2.2.12
Release:	3
Epoch:		0
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://us4.samba.org/samba/ftp/%{name}-%{version}.tar.gz
# Source0-md5:	ffda6f5a93635d0b2afb2b2fb17e3bbf
Source1:	smb.init
Source2:	%{name}.pamd
Source3:	swat.inetd
Source4:	%{name}.sysconfig
Source5:	%{name}.logrotate
Source6:	smb.conf
Source7:	http://dl.sourceforge.net/openantivirus/%{name}-vscan-%{vscan_version}.tar.bz2
# Source7-md5:	5f173d549014985d681478897135915b
Patch0:		%{name}-config.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-manpages_PLD_fixes.patch
Patch3:		%{name}-smbprint.patch
Patch4:		%{name}-autoconf.patch
Patch5:		%{name}-nmbd_socket.patch
Patch6:		http://v6web.litech.org/samba/%{name}-2.2.8a+IPv6-20030712.diff
Patch7:		%{name}-DESTDIR-fix.patch
Patch8:		%{name}-allow-suid.patch
Patch9:		%{name}-CAN-2004-1154.patch
# smbadduser isn't packaged
#Patch:		%{name}-smbadduser.patch
URL:		http://www.samba.org/
BuildRequires:	autoconf
%{?with_cups:BuildRequires:	cups-devel}
BuildRequires:	libmagic-devel
BuildRequires:	libtool >= 1.4.2
BuildRequires:	ncurses-devel >= 5.2
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	openssl-devel >= 0.9.6m
BuildRequires:	pam-devel > 0.66
BuildRequires:	popt-devel
BuildRequires:	readline-devel >= 4.2
Requires(post,preun):	/sbin/chkconfig
Requires:	logrotate
Requires:	openssl >= 0.9.6m
Requires:	pam >= 0.66
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/samba
%define		_vfsdir		/usr/%{_lib}/%{name}/vfs
%define		_libdir		%{_sysconfdir}
%define		_localstatedir	%{_var}/log/samba
%define		_sambahome	/home/services/samba
%if %{with cups}
%define		cups_serverbin	%(cups-config --serverbin)
%endif

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines. Samba
also provides some SMB clients, which complement the built-in SMB
filesystem in Linux. Samba uses NetBIOS over TCP/IP (NetBT) protocols
and does NOT need NetBEUI (Microsoft Raw NetBIOS frame) protocol.

This release is known as the "Locking Update" and has full support for
Opportunistic File Locking. In addition this update includes native
support for Microsoft encrypted passwords, improved browse list and
WINS database management.

Please refer to the WHATSNEW.txt document for fixup information. This
binary release includes encrypted password support. Please read the
smb.conf file and ENCRYPTION.txt in the docs directory for
implementation details.

%description -l cs
Samba poskytuje server SMB, kter lze pout pro poskytovn sovch
slueb klientm SMB (nkdy nazvanch klienti "LAN manaer") vetn
klient rznch verz MS Windows, OS/2 a dalch linuxovch stroj.
Samba t poskytuje nkter klienty SMB, kte komplementuj vestavn
souborov systm SMB v Linuxu. Samba pouv protokoly NetBIOS pes
TCP/IP (NetBT) a NEpotebuje protokol NetBEUI (neformtovan rmec
NetBIOS od spolenosti Microsoft.

%description -l da
Samba tilbyder en SMB server som kan bruges til at tilbyde netvrk
services til SMB (ogs kaldet "Lan Manager") klienter, incl.
forskellige versioner af MS Windows, OS/2, og andre Linux maskiner.
Samba tilbyder ogs SMB klienter, som udbygger det indbyggede SMB
filsystem i Linux. Samba benytter NetBIOS over TCP/IP (NetBT)
protocolen og krver ikke NetBEUI (Microsoft Raw NetBIOS frame)
protokollen.

%description -l de
Samba stellt einen SMB-Server zum Anbieten von Netzwerkdiensten fr
SMB-Clients (auch "Lan Manager" genannt) zur Verfgung, darunter
verschiedenen Versionen von MS Windows-, OS/2- und anderen
Linux-Rechnern. Samba enthlt auerdem einige SMB-Clients, die das in
Linux integrierte SMB-Dateisystem ergnzen. Samba benutzt
NetBIOS-ber-TCP/IP (NetBT)-Protokolle und bentigt KEIN NetBEUI
(Microsoft Raw NetBIOS frame)-Protokoll.

%description -l es
Samba provee un servidor SMB que se puede usar para ofrecer servicios
de red a clientes SMB (algunas veces se le llama de "Lan Manager"),
incluyendo varias versiones de MS Windows, OS/2, y otras mquinas
Linux. Samba tambin ofrece algunos clientes SMB, que complementan el
sistema de archivos SMB de Linux. Samba usa el protocolo NetBIOS sobre
TCP/IP (NetBT) y no necesita del protocolo NetBEUI (Microsoft Raw
NetBIOS frame).

%description -l fi
Samba on SMB-palvelin, jota voidaan kytt SMB-asiakasohjelmien
verkkopalvelujen tarjoajana. SMB-protokollaa kutsutaan joskus "Lan
Manager" protokollaksi ja asiakasohjelmat toimivat dosissa,
Windowseissa, OS/2:ssa ja toisissa Linux-koneissa. Samban mukana on
mys joitakin SMB-asiakasohjelmia, jotka tydentvt Linuxin
kerneliss olevaa SMB-tiedostojrjestelmn tukea. Samba vaatii NetBIOS
over TCP/IP (NetBT) protokollaa eik tarvitse tai pysty kyttmn
NetBEUI-protokollaa.

%description -l it
Samba fornisce un server SMB che puo` essere usato per fornire servizi
di rete ai client SMB, incluse le versioni MS Windows, OS/2 e per
altre macchine Linux. Samba fornisce anche i client SMB. Samba usa
NetBIOS sopra TCP/IP e non ha bisogno del protocollo NetBEUI.

%description -l ja
Samba  MS Windows ͡ʥСOS/2 ¾ Linux ޥ
ޤ SMB (ޤ "Lan Manager" ȸƤФ)
饤Ȥ˥ͥåȥ ӥ󶡤뤿˻Ѥ SMB
Ф󶡤ޤSamba  NetBIOS over TCP/IP (NetBT)
ץȥѤ NetBEUI(Microsoft Raw NetBIOS frame)
ץȥɬפޤ

Samba ۤȤư NT ɥᥤ󥳥ȥεǽħȤ
ʥ֥饦Ȥä samba  smb.conf ե⡼ȴ
 SWAT (Samba Web Administration Tool) ޤߤޤ
ܲΤȤ inetd ̤ TCP ݡ 901 ͭˤʤޤ

%description -l ko
ٴ MS Windows, OS/2, Ȥ ٸ  ӽ ϴ SMB(Ȥ
"Lan Manager" Ҹ) Ŭ̾Ʈ Ʈũ    
ִ SMB  Ѵ. ٴ TCP/IP   NetBIOS
ϰ NetBEUI (Microsoft Raw NetBIOS )  ʿ
ʴ.

-2.2  Ư¡ NT  Ʈ  ۾ ϰ, ο
SWAT(Samba Web Administration Tool)  Ͽ 
 smb.conf  ϵ Ѵ. ̷  inetd  
TCP 901 Ʈ ϰ ȴ.

ֱ  WHATSNEW.txt   ϵ Ѵ. ̳ʸ
 ȣȭ н带 Ѵ.   ڼ  
 docs 丮 ִ smb.conf ϰ ENCRYPTION.txt 
о.

%description -l pl
Samba udostpnia serwer SMB, ktry moe by uyty w celu dostarczenia
usug sieciowych (potocznie zwanych "Lan Manager"), dla klientw
takich jak MS Windows, OS/2 a take maszyn linuksowych. W pakiecie
znajduje si rwnie oprogramowanie klienckie. Samba uywa protokou
NetBIOS po TCP/IP (NetBT) i nie wymaga protokou NetBEUI. Ta wersja ma
pene wsparcie dla blokowania plikw, a take wsparcie dla kodowania
hase w standardzie MS i zarzdzania baz WINS.

%description -l pt_BR
O Samba prov um servidor SMB que pode ser usado para oferecer
servios de rede a clientes SMB (algumas vezes chamado de "Lan
Manager"), incluindo vrias verses de MS Windows, OS/2, e outras
mquinas Linux. O Samba tambm fornece alguns clientes SMB, que
complementam o sistema de arquivos SMB do Linux. O Samba usa o
protocolo NetBIOS sobre TCP/IP (NetBT) e no necessita do protocolo
NetBEUI (Microsoft Raw NetBIOS frame).

O Samba inclui a maioria das caractersticas de um servidor de
Controle de Domnios NT e o SWAT (Samba Web Administration Tool), que
permite que o arquivo smb.conf seja gerenciado remotamente atravs de
um navegador. Atualmente isto est sendo habilitado na porta TCP 901
via inetd.

%description -l ru
Samba  SMB-,     
   SMB (  "Lan Manager")
,    MS Windows, OS/2,  
Linux-. Samba   SMB-,  
   Linux   SMB.

Samba   NetBIOS over TCP/IP (NetBT)    
 NetBEUI (Microsoft Raw NetBIOS frame).

Samba     NT Domain Control 
  SWAT (Samba Web Administration Tool),  
    smb.conf   
 WEB-.      inetd  TCP-
901.

%description -l uk
Samba  SMB-,      
 צӦ SMB (  Ħ  "Lan Manager") ̦,
 ҦΦΦ Ӧ MS Windows, OS/2,  ۦ Linux-.
Samba   SMB-̦Ԧ,      Linux
  SMB.

Samba դ  NetBIOS over TCP/IP (NetBT)   դ
 NetBEUI (Microsoft Raw NetBIOS frame).

Samba ͦ   æ NT Domain Control  
SWAT (Samba Web Administration Tool),  Ѥ צ
 Ʀæ  smb.conf   
 WEB-.   צ   inetd 
TCP- 901.

%package -n swat
Summary:	Samba Web Administration Tool
Summary(es):	Samba SWAT and Web documentation
Summary(pl):	Narzdzie administracyjne serwisu Samba
Summary(pt_BR):	Samba SWAT e documentao Web
Summary(ru):	  SMB- Samba
Summary(uk):	 æ SMB- Samba
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	rc-inetd >= 0.8.2
Requires:	inetdaemon
Provides:	samba-swat
Obsoletes:	samba-swat

%description -n swat
swat allows a Samba administrator to configure the complex smb.conf
file via a Web browser. In addition, a swat configuration page has
help links to all the configurable options in the smb.conf file
allowing an administrator to easily look up the effects of any change.

%description -n swat -l pl
swat pozwala na kompleksow konfiguracj smb.conf przy pomocy
przegldarki WWW.

%description -n swat -l pt_BR
SWAT - ferramentada Web de configurao do Samba.

%description -n swat -l ru
 samba-swat   SWAT (Samba Web Administration Tool),
    smb.conf   
 Web-.

%description -n swat -l uk
 samba-swat ͦ  SWAT (Samba Web Administration Tool),
 æ ͦΦ  smb.conf   
 Web-.

%package client
Summary:	Samba client programs
Summary(es):	Cliente SMB de Samba
Summary(ja):	Samba (SMB) 饤ȥץ
Summary(pl):	Klienci serwera Samba
Summary(pt_BR):	Cliente SMB do samba
Summary(ru):	  Samba (SMB)
Summary(uk):	̦˦  Samba (SMB)
Group:		Applications/Networking
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Obsoletes:	smbfs

%description client
Samba-client provides some SMB clients, which complement the build-in
SMB filesystem in Linux. These allow accessing of SMB shares and
printing to SMB printers.

%description client -l pt_BR
O pacote samba-clientes prove alguns clientes SMB, que complementam o
sistema de arquivos SMB do Linux. Eles permitem o acesso a shares SMB,
e tambm,  impressoras SMB.

%description client -l es
Cliente SMB de Samba.

%description client -l ja
Samba-client  Linux ˴ޤޤƤ SMB ե륷ƥ䤦 SMB
饤Ȥ󶡤ޤ SMB ͭΥ SMB
ץ󥿤ؤΰĤޤ

%description client -l pl
Samba-client dostarcza programy uzupeniajce obsug systemu plikw
SMB zawart w jdrze. Pozwalaj one na wspdzielenie zasobw SMB i
drukowanie w sieci SMB.

%description client -l pt_BR
O pacote samba-clientes prove alguns clientes SMB, que complementam o
sistema de arquivos SMB do Linux. Eles permitem o acesso a shares SMB,
e tambm,  impressoras SMB.

%description client -l ru
 samba-client    SMB   
   SMB  Linux.   
     SMB    SMB-.

%description client -l uk
 samba-client  ˦ ̦ SMB   ڦ 
  SMB  Linux.  ̦   
 Ǧ Ц  SMB    SMB-Ҧ.

%package common
Summary:	Files used by both Samba servers and clients
Summary(es):	Common files between samba and samba-clients
Summary(ja):	Samba Сȥ饤ȤǻѤץ
Summary(pl):	Pliki uywane przez serwer i klientw Samba
Summary(pt_BR):	Arquivos em comum entre samba e samba-clients
Summary(ru):	,   ,    Samba
Summary(uk):	,    ,   ̦ Samba
Group:		Networking/Daemons

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%description common -l ja
Samba-common  Samba ΥФȥ饤ȤξΥѥå
Ѥե󶡤ޤ

%description common -l pl
Samba-common dostarcza pliki niezbdne zarwno dla serwera jak i
klientw Samba.

%description common -l pt_BR
Arquivos em comum entre os pacotes samba e samba-clients.

%description common -l ru
Samba-common  ,     ,  
 Samba.

%description common -l uk
Samba-common ͦ , ȦΦ    ̦,  
 Samba.

%package -n pam-pam_smbpass
Summary:	PAM Samba Password Module
Summary(pl):	Modu PAM smbpass
Group:		Base
Obsoletes:	pam_smbpass

%description -n pam-pam_smbpass
PAM module which can be used on conforming systems to keep the
smbpasswd (Samba password) database in sync with the unix password
file.

%description -n pam-pam_smbpass -l pl
Modu PAM, ktry moe by uywany do trzymania pliku smbpasswd (hasa
Samby) zsynchronizowanego z hasami unixowymi.

%package -n libsmbclient
Summary:	libsmbclient - samba client library
Summary(pl):	libsmbclient - biblioteka klienta samby
Group:		Libraries

%description -n libsmbclient
libsmbclient - library that allows to use samba clients functions.

%description -n libsmbclient -l pl
libsmbclient - biblioteka pozwalajca korzysta z funcji klienta
samby.

%package -n libsmbclient-devel
Summary:	libsmbclient - samba client library
Summary(pl):	libsmbclient - biblioteka klienta samby
Summary(pt_BR):	Ferramentas de desenvolvimento para clientes samba
Group:		Development/Libraries
Requires:	libsmbclient = %{epoch}:%{version}-%{release}

%description -n libsmbclient-devel
Header files for libsmbclient.

%description -n libsmbclient-devel -l pl
Pliki nagwkowe dla libsmbclient.

%description -n libsmbclient-devel -l pt_BR
Arquivos de incluso, bibliotecas e documentao necessrios para
desenvolver aplicativos clientes para o samba.

%package -n cups-backend-smb
Summary:	CUPS backend for printing to SMB printers
Summary(pl):	Backend CUPS-a drukujcy na drukarkach SMB
Group:		Applications/Printing
Requires:	%{name}-client = %{epoch}:%{version}-%{release}
Requires:	cups

%description -n cups-backend-smb
CUPS backend for printing to SMB printers.

%description -n cups-backend-smb -l pl
Backend CUPS-a drukujcy na drukarkach SMB.

%package vfs-audit
Summary:	VFS module to audit file access
Summary(pl):	Modu VFS do monitorowania operacji na plikach
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-audit
A simple module to audit file access to the syslog facility. The
following operations are logged: share connect/disconnect, directory
opens/create/remove, file open/close/rename/unlink/chmod.

%description vfs-audit -l pl
Prosty modu do monitorowania dostpu do plikw do sysloga.
Monitorowane s nastpujce operacje: podczone/odczenie do zasobu,
otwarcie/utworzenie/zmiana nazwy katalogu, otwarcie/zamkncie/zmiana
nazwy/skasowania/zmiana praw plikw.

%package vfs-block
Summary:	VFS module to block access to files
Summary(pl):	Moduy VFS do blokowania dostpu do plikw
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-block
Sample module by Ronald Kuetemeier <ronald@kuetemeier.com> to block
named symbolic link following. Note: Config file is in
/etc/samba/samba-block.conf .

%description vfs-block -l pl
Przykadowy modu stworzony przez Ronald Kuetemeier
<ronald@kuetemeier.com> do blokowania dostpu do plikw wskazywanych
przez linki symboliczne. Plik konfiguracyjny w
/etc/samba/samba-block.conf .

%package vfs-recycle
Summary:	VFS module to add recycle bin facility to a samba share
Summary(pl):	Modu VFS dodajcy moliwo kosza do zasobu samby
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description vfs-recycle
VFS module to add recycle bin facility to a samba share.

%description vfs-recycle -l pl
Modu VFS dodajcy moliwo kosza do zasobu samby.

%package vfs-vscan-clamav
Summary:	On-access virus scanning for samba using ClamAV
Summary(pl):	Skaner antywirusowy online wykorzystujcy ClamAV
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	clamav
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}

%description vfs-vscan-clamav
A vfs-module for samba to implement on-access scanning using the
ClamAV antivirus software (which must be installed to use this).

%description vfs-vscan-clamav -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego ClamAV
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-fprot
Summary:	On-access virus scanning for samba using FPROT
Summary(pl):	Skaner antywirusowy online wykorzystujcy FPROT
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-fprot

%description vfs-vscan-fprot
A vfs-module for samba to implement on-access scanning using the FPROT
antivirus software (which must be installed to use this).

%description vfs-vscan-fprot -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego FPROT
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-fsav
Summary:	On-access virus scanning for samba using F-Secure AntiVirus
Summary(pl):	Skaner antywirusowy online wykorzystujcy F-Secure AntiVirus
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-fsav

%description vfs-vscan-fsav
A vfs-module for samba to implement on-access scanning using the
F-Secure AntiVirus antivirus software (which must be installed to use
this).

%description vfs-vscan-fsav -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego F-Secure
AntiVirus (ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-kavp
Summary:	On-access virus scanning for samba using Kaspersky AVP
Summary(pl):	Skaner antywirusowy online wykorzystujcy Kaspersky AVP
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-kavp

%description vfs-vscan-kavp
A vfs-module for samba to implement on-access scanning using the
Kaspersky AVP antivirus software (which must be installed to use
this).

%description vfs-vscan-kavp -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego
Kaspersky AVP (ktre musi by zainstalowane, aby wykorzysta ten
modu).

%package vfs-vscan-mks
Summary:	On-access virus scanning for samba using mks
Summary(pl):	Skaner antywirusowy online wykorzystujcy mks
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	mksd
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-mks

%description vfs-vscan-mks
A vfs-module for samba to implement on-access scanning using the mks
antivirus software (which must be installed to use this).

%description vfs-vscan-mks -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego mks
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-openantivirus
Summary:	On-access virus scanning for samba using OpenAntivirus
Summary(pl):	Skaner antywirusowy online wykorzystujcy OpenAntiVirus
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-openantivirus

%description vfs-vscan-openantivirus
A vfs-module for samba to implement on-access scanning using the
OpenAntivirus antivirus software (which must be installed to use
this).

%description vfs-vscan-openantivirus -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego
OpenAntiVirus.org (ktre musi by zainstalowane, aby wykorzysta ten
modu).

%package vfs-vscan-sophos
Summary:	On-access virus scanning for samba using Sophos
Summary(pl):	Skaner antywirusowy online wykorzystujcy Sophos
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-sophos

%description vfs-vscan-sophos
A vfs-module for samba to implement on-access scanning using the
Sophos antivirus software (which must be installed to use this).

%description vfs-vscan-sophos -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego Sophos
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-symantec
Summary:	On-access virus scanning for samba using Symantec
Summary(pl):	Skaner antywirusowy online wykorzystujcy Symantec
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-symantec

%description vfs-vscan-symantec
A vfs-module for samba to implement on-access scanning using the
Symantec antivirus software (which must be installed to use this).

%description vfs-vscan-symantec -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego firmy
Symantec (ktre musi by zainstalowane, aby wykorzysta ten modu).

%package vfs-vscan-trend
Summary:	On-access virus scanning for samba using Trend
Summary(pl):	Skaner antywirusowy online wykorzystujcy Trend
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-vscan = %{epoch}:%{version}-%{release}
Obsoletes:	vscan-trend

%description vfs-vscan-trend
A vfs-module for samba to implement on-access scanning using the Trend
antivirus software (which must be installed to use this).

%description vfs-vscan-trend -l pl
Modu vfs do samby implementujcy skaning antywirusowy w czasie
dostpu do plikw korzystajc z oprogramowania antywirusowego Trend
(ktre musi by zainstalowane, aby wykorzysta ten modu).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%{?with_ipv6:%patch6 -p1}
%patch7 -p1
%patch8 -p1
%patch9 -p1

cd examples/VFS
tar xjf %{SOURCE7}

%build
cd source
%{__autoconf}
%configure \
	--with-acl-support \
	--with-automount \
	--with-libsmbclient \
	--with-lockdir=/var/lock/samba \
	--with-mmap \
	--with-msdfs \
	--with-netatalk \
	--without-smbwrapper \
	--with-pam \
	--with-piddir=/var/run \
	--with-privatedir=%{_libdir} \
	--with-quotas \
	--with-readline \
	--with-smbmount \
	--with-ssl \
	--with-sslinc=%{_prefix} \
	--with-swatdir=%{_datadir}/swat \
	--with-syslog \
	--with-utmp \
	--with-vfs \
	%{?with_ipv6:--with-ipv6} \
	%{?with_ldap:--with-ldapsam} \
	--with-acl-support

mv Makefile Makefile.old
sed -e "s#-symbolic##g" Makefile.old > Makefile

%{__make} everything pam_smbpass

cd ../examples/VFS
%{__autoconf}
chmod a+x configure
%configure
%{__make}
mv README{,.vfs}

cd samba-vscan-%{vscan_version}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,pam.d,security,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT/var/{lock,log,log/archiv,spool}/samba \
	$RPM_BUILD_ROOT{/sbin,/%{_lib}/security,%{_libdir},%{_vfsdir},%{_includedir},%{_sambahome}}

cd source
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_sbindir}
cd ..

ln -sf %{_bindir}/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/smb
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/samba
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/swat
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/samba
install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/samba
install %{SOURCE6} $RPM_BUILD_ROOT%{_libdir}/smb.conf

install source/nsswitch/libnss_winbind.so	$RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so.2
install source/nsswitch/pam_winbind.so	$RPM_BUILD_ROOT/%{_lib}/security
install source/bin/pam_smbpass.so	$RPM_BUILD_ROOT/%{_lib}/security
install source/bin/wbinfo		$RPM_BUILD_ROOT%{_bindir}

install source/bin/libsmbclient.so $RPM_BUILD_ROOT/%{_lib}/libsmbclient.so.0
ln -s libsmbclient.so.0 $RPM_BUILD_ROOT/%{_lib}/libsmbclient.so

install source/include/libsmbclient.h $RPM_BUILD_ROOT%{_includedir}

# example VFS modules
install examples/VFS/{*.so,block/*.so,recycle/*.so} $RPM_BUILD_ROOT%{_vfsdir}
install examples/VFS/block/samba-block.conf examples/VFS/recycle/recycle.conf $RPM_BUILD_ROOT%{_sysconfdir}

# vscan modules
install examples/VFS/samba-vscan-%{vscan_version}/*.so $RPM_BUILD_ROOT%{_vfsdir}
install examples/VFS/samba-vscan-%{vscan_version}/*/*.conf $RPM_BUILD_ROOT%{_sysconfdir}

touch $RPM_BUILD_ROOT/var/lock/samba/{STATUS..LCK,wins.dat,browse.dat}

echo 127.0.0.1 localhost > $RPM_BUILD_ROOT%{_libdir}/lmhosts

%if %{with cups}
install -d $RPM_BUILD_ROOT%{cups_serverbin}/backend
ln -s %{_bindir}/smbspool $RPM_BUILD_ROOT%{cups_serverbin}/backend/smb
%endif

> $RPM_BUILD_ROOT%{_libdir}/smbusers
> $RPM_BUILD_ROOT/etc/security/blacklist.samba

rm -f docs/faq/*.{sgml,txt}
rm -f docs/htmldocs/*.[0-9].html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smb
if [ -r /var/lock/subsys/smb ]; then
	/etc/rc.d/init.d/smb restart >&2
else
	echo "Run \"/etc/rc.d/init.d/smb start\" to start Samba daemons."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/smb ]; then
		/etc/rc.d/init.d/smb stop >&2
	fi
	/sbin/chkconfig --del smb
fi

%post -n swat
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun -n swat
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%triggerpostun -- samba < 1.9.18p7
if [ "$1" != "0" ]; then
	/sbin/chkconfig --add smb
fi

%triggerpostun -- samba < 2.0.5a-3
if [ "$1" != "0" ]; then
	[ ! -d /var/lock/samba ] && mkdir -m 0755 /var/lock/samba
	[ ! -d /var/spool/samba ] && mkdir -m 1777 /var/spool/samba
fi

%files
%defattr(644,root,root,755)
%doc source/nsswitch/README examples/VFS/README.vfs
%attr(755,root,root) %{_sbindir}/nmbd
%attr(755,root,root) %{_sbindir}/smbd
%attr(755,root,root) %{_sbindir}/winbindd
%attr(755,root,root) %{_sbindir}/mksmbpasswd.sh
%attr(755,root,root) %{_bindir}/smbstatus
%attr(755,root,root) %{_bindir}/smbpasswd
%attr(755,root,root) %{_bindir}/smbcontrol
%attr(755,root,root) %{_bindir}/tdbbackup

%attr(755,root,root) /%{_lib}/libnss_*
%attr(755,root,root) /%{_lib}/security/pam_winbind.so

%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) %{_libdir}/smbusers
%attr(754,root,root) /etc/rc.d/init.d/smb
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/samba
%attr(640,root,root) /etc/logrotate.d/samba
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/samba
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/security/blacklist.samba
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/winbindd.8*

%dir %{_sambahome}
%dir /var/lock/samba
%ghost /var/lock/samba/*

%attr(0750,root,root) %dir /var/log/samba
%attr(0750,root,root) %dir /var/log/archiv/samba
%attr(1777,root,root) %dir /var/spool/samba

%files client
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/mount.smbfs
%attr(755,root,root) %{_bindir}/smbmount
%attr(755,root,root) %{_bindir}/smbmnt
%attr(755,root,root) %{_bindir}/smbumount
%{_mandir}/man8/smbmnt.8*
%{_mandir}/man8/smbmount.8*
%{_mandir}/man8/smbumount.8*
%attr(755,root,root) %{_bindir}/nmblookup
%attr(755,root,root) %{_bindir}/smbclient
%attr(755,root,root) %{_bindir}/smbtar
%attr(755,root,root) %{_bindir}/smbcacls
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbsh.1*
%attr(755,root,root) %{_bindir}/rpcclient
%{_mandir}/man1/rpcclient.1*
%attr(755,root,root) %{_bindir}/wbinfo
%{_mandir}/man1/wbinfo.1*
%attr(755,root,root) %{_bindir}/findsmb
%{_mandir}/man1/findsmb.1*

%files common
%defattr(644,root,root,755)
%doc README Manifest WHATSNEW.txt
%doc Roadmap docs/faq docs/Registry/*
%doc docs/textdocs/* docs/htmldocs/*.* docs/{history,announce,THANKS}
%dir %{_libdir}
%config(noreplace) %verify(not size mtime md5) %{_libdir}/smb.conf
%config(noreplace) %verify(not size mtime md5) %{_libdir}/lmhosts
%attr(755,root,root) %{_bindir}/make_smbcodepage
%attr(755,root,root) %{_bindir}/make_unicodemap
%attr(755,root,root) %{_bindir}/testparm
%attr(755,root,root) %{_bindir}/testprns
%attr(755,root,root) %{_bindir}/make_printerdef
%{_libdir}/codepages
%{_mandir}/man1/make_smbcodepage.1*
%{_mandir}/man1/make_unicodemap.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man1/testprns.1*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/lmhosts.5*

%files -n swat
%defattr(644,root,root,755)
%doc swat/README* swat/help/*
%attr(755,root,root) %{_sbindir}/swat
%{_datadir}/swat
%{_mandir}/man8/swat.8*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/rc-inetd/swat

%files -n pam-pam_smbpass
%defattr(644,root,root,755)
%doc source/pam_smbpass/{CHAN*,README,TODO} source/pam_smbpass/samples
%attr(755,root,root) /%{_lib}/security/pam_smbpass.so

%files -n libsmbclient
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libsmbclient.so.*

%files -n libsmbclient-devel
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libsmbclient.so
%{_includedir}/libsmbclient.h

%if %{with cups}
%files -n cups-backend-smb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smbspool
%attr(755,root,root) %{cups_serverbin}/backend/smb
%{_mandir}/man8/smbspool.8*
%endif

%files vfs-block
%defattr(644,root,root,755)
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/samba-block.conf
%attr(755,root,root) %{_vfsdir}/block.so

%files vfs-audit
%defattr(644,root,root,755)
%attr(755,root,root) %{_vfsdir}/audit.so

%files vfs-recycle
%defattr(644,root,root,755)
%doc examples/VFS/recycle/README
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/recycle.conf
%attr(755,root,root) %{_vfsdir}/recycle.so

%files vfs-vscan-clamav
%defattr(644,root,root,755)
%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vscan-clamav.conf
%attr(755,root,root) %{_vfsdir}/vscan-clamav.so

%files vfs-vscan-fprot
%defattr(644,root,root,755)
%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vscan-fprotd.conf
%attr(755,root,root) %{_vfsdir}/vscan-fprotd.so

%files vfs-vscan-fsav
%defattr(644,root,root,755)
#%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vscan-fsav.conf
%attr(755,root,root) %{_vfsdir}/vscan-fsav.so

%files vfs-vscan-kavp
%defattr(644,root,root,755)
%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vscan-kavp.conf
%attr(755,root,root) %{_vfsdir}/vscan-kavp.so

%files vfs-vscan-mks
%defattr(644,root,root,755)
%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vscan-mks32.conf
%attr(755,root,root) %{_vfsdir}/vscan-mksd.so

%files vfs-vscan-openantivirus
%defattr(644,root,root,755)
%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vscan-oav.conf
%attr(755,root,root) %{_vfsdir}/vscan-oav.so

%files vfs-vscan-sophos
%defattr(644,root,root,755)
%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vscan-sophos.conf
%attr(755,root,root) %{_vfsdir}/vscan-sophos.so

%files vfs-vscan-symantec
%defattr(644,root,root,755)
%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vscan-icap.conf
%attr(755,root,root) %{_vfsdir}/vscan-icap.so

%files vfs-vscan-trend
%defattr(644,root,root,755)
%doc examples/VFS/%{name}-vscan-%{vscan_version}/{INSTALL,FAQ}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/vscan-trend.conf
%attr(755,root,root) %{_vfsdir}/vscan-trend.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: samba.spec,v $
Revision 1.159.2.25  2005/01/07 13:35:32  hawk
- release 3

Revision 1.159.2.24  2005/01/07 12:25:43  qboosh
- added CAN-2004-1154 patch from Conectiva, patches cleanup

Revision 1.159.2.23  2004/10/21 00:30:10  ankry
- rel. 2

Revision 1.159.2.22  2004/10/02 12:06:16  undefine
- BR: libmagic-devel (used by plugins)

Revision 1.159.2.21  2004/10/02 11:54:08  undefine
- update to 2.2.12 (RA - security:
  http://www.idefense.com/application/poi/display?id=146&type=vulnerabilities&flashstatus=true)

Revision 1.159.2.20  2004/09/13 13:22:28  qboosh
- copy-pasto

Revision 1.159.2.19  2004/09/13 13:01:55  qboosh
- added -vfs-vscan-fsav (merged from HEAD)

Revision 1.159.2.18  2004/09/13 12:11:56  qboosh
- sync vfs-vscan pl summaries

Revision 1.159.2.17  2004/09/13 11:12:25  qboosh
- use name macro in internal dep

Revision 1.159.2.16  2004/09/13 11:08:39  qboosh
- bcond fixes

Revision 1.159.2.15  2004/09/12 16:01:09  blues
- lets define default epoch

Revision 1.159.2.14  2004/09/12 15:22:18  blues
- fixed files...

Revision 1.159.2.13  2004/09/12 13:36:35  blues
- seems to work. Lets burn it.

Revision 1.159.2.12  2004/09/12 13:19:32  blues
- started update to 2.2.11

Revision 1.159.2.11  2004/09/12 11:56:48  blues
- SECURITY note

Revision 1.159.2.10  2004/07/26 10:26:52  qboosh
- require openssl version also at runtime

Revision 1.159.2.9  2004/07/26 10:24:21  qboosh
- use configure macro for vscan, package kavp,mksd VFS modules

Revision 1.159.2.8  2004/07/26 09:57:12  qboosh
- paths and comments fixes

Revision 1.159.2.7  2004/07/26 09:30:22  qboosh
- updated to 2.2.10 (fixes CAN-2004-0686)

Revision 1.159.2.6  2004/06/05 22:21:54  blues
- let's make it build

Revision 1.159.2.5  2004/06/01 09:56:58  tommat
- updated to 2.2.9 (fixed bug with new M$ updates), let's someone test it plz.

Revision 1.159.2.4  2004/03/19 13:10:31  ankry
- massive change: BR: openssl-devel >= 0.9.6m

Revision 1.159.2.3  2003/10/26 16:27:34  marcus
- enabled ACLS

Revision 1.159.2.2  2003/09/30 19:49:55  eothane
- openssl 0.9.6k
- release+

Revision 1.159.2.1  2003/09/13 18:41:27  blues
- require proper openssl

Revision 1.159  2003/09/13 18:39:14  blues
- cosmetics

Revision 1.158  2003/09/12 22:10:02  undefine
- release 4, to allow upgrade from ra

Revision 1.157  2003/09/12 10:53:01  baggins
- release 1.8
- added ipv6 patch that works
- added allow-suid patch - suid programs MUST be able to use libsmbclient
  (eg. amanda)

Revision 1.156  2003/09/11 01:06:40  undefine
- new samba-vscan version
- release 1.7
TODO:
- kavp,mks modules(probably doesn't build on !=x86 arch)
- testing, testing, testing... ;)

Revision 1.155  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.154  2003/08/14 22:17:46  ankry
- description formatting and other minor description fixes

Revision 1.153  2003/07/30 09:17:11  blues
- more macros

Revision 1.152  2003/07/21 23:11:48  undefine
- clamav now works with unix sockets ;)
- requires clamav for samba-vfs-vscan-clamav
- version 1.6, ready to test

Revision 1.151  2003/07/21 14:12:08  undefine
- add clamav module(modified oav), require clamd running on ip.

Revision 1.150  2003/07/21 09:32:59  qboosh
- pl fixes, BR: libtool

Revision 1.149  2003/07/20 23:46:34  undefine
- vscan requires popt-devel

Revision 1.148  2003/07/20 21:55:21  undefine
- add antivirus modules, ready to tests

Revision 1.147  2003/07/18 22:17:11  undefine
- split samba-vfs-modules into vfs-audit vfs-block vfs-recycle,
  vscan coming soon ;)

Revision 1.146  2003/07/18 00:43:23  undefine
- typo, still not tested

Revision 1.145  2003/07/18 00:40:28  undefine
- add compilation vscan modules

Revision 1.144  2003/07/17 23:45:52  undefine
- hardcode _reallibdir, hgw why it doesn't work as i want.

Revision 1.143  2003/07/17 23:03:36  undefine
- add vfs-modules, not tested yet

Revision 1.142  2003/07/17 22:56:44  undefine
- I know why...

Revision 1.141  2003/07/17 22:21:39  undefine
- why %define	_libdir	%{_sysconfdir} ???

Revision 1.140  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.139  2003/05/25 06:26:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.138  2003/04/09 11:10:38  qboosh
- more specific Requires

Revision 1.137  2003/04/07 17:20:10  pbern
- secure update to 2.2.8a
- bug: http://www.digitaldefense.net/labs/advisories/DDI-1013.txt

Revision 1.136  2003/03/19 12:22:14  qboosh
- added _without_cups bcond

Revision 1.135  2003/03/15 18:19:38  misi3k
- %%install fix
- rel 2

Revision 1.134  2003/03/15 17:48:47  misi3k
- secuirty update to 2.2.8
Bug: A buffer overrun condition exists in the SMB/CIFS packet fragment
re-assembly code in smbd which would allow an attacker to cause smbd
to overwrite arbitrary areas of memory in its own process address
space. This could allow a skilled attacker to inject binary specific
exploit code into smbd.

Revision 1.133  2003/02/28 10:08:54  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.132  2003/02/14 10:43:19  qboosh
- moved /etc/samba dir to -common

Revision 1.131  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.130  2002/12/12 10:37:31  orzech
- commented out new manpages - those prgs are not ready yet

Revision 1.129  2002/12/12 09:00:20  orzech
- up to 2.2.7a (LFS support & minor bugfixes)
- added missing manpages
- adapterized

Revision 1.128  2002/12/10 17:21:10  wiget
- typo reported by Piotr Zalewski <peter at dmcs.p.lodz.pl>
- release 3

Revision 1.127  2002/12/10 11:52:22  qboosh
- pl description for cups-backend-smb

Revision 1.126  2002/12/10 11:25:55  wiget
- separate smbspool to cups-backend-smb subpackage
- added findsmb to client subpackage
- added tdbbackup to main package
- release 2

Revision 1.125  2002/12/02 22:09:00  ankry
- pl Summary/description fixes
- adapterized

Revision 1.124  2002/12/02 11:06:26  ankry
- massive cleaning

Revision 1.123  2002/11/20 20:25:38  kloczek
- updated to 2.2.7: security fix that could potentially allow an attacker
  to gain root access on the target machine
  (look at: http://www.samba.org/samba/whatsnew/samba-2.2.7.html)

Revision 1.122  2002/11/18 08:52:08  kloczek
- release 2: merge translations from MIZI.

Revision 1.121  2002/11/17 12:48:53  misiek
- lmhosts readable for everyone

Revision 1.120  2002/10/21 14:22:42  kloczek
- upated to 2.2.6: bug fixes.

Revision 1.119  2002/10/15 09:57:24  orzech
- swat is ipv4 only
- rel7, STBR

Revision 1.118  2002/09/11 15:16:15  areq
- fix %doc

Revision 1.117  2002/07/20 17:54:50  blues
- cleanups in numbers of patches
- activated acl's - not tested, my mashine is suffering from heat...

Revision 1.116  2002/07/18 15:17:02  marcus
-i fixed libmbclient, rel.6.

Revision 1.115  2002/07/18 08:56:14  kloczek
- bump release to 5.

Revision 1.114  2002/06/23 21:04:09  kloczek
- merge translation from TurboLinux.

Revision 1.113  2002/06/23 20:31:28  baseciq
- rel 1 / stbr -> test

Revision 1.112  2002/06/21 09:32:07  ggodlewski
- updated to 2.2.5
- s/\/home\/samba/\/home\/services\/samba/

Revision 1.111  2002/06/13 14:23:48  tiwek
- added CIFS Extenstions patch
- release 2

Revision 1.110  2002/06/13 00:13:08  undefine
- standarize pam modules -> pam_smbpass to pam-pam_smbpass

Revision 1.109  2002/06/07 09:35:39  blues
- few more docs
- updated DESTDIR-fix patch - forgetten commit
STBR now..

Revision 1.108  2002/06/05 12:29:49  kloczek
- merge translations drom KSI, Conectiva, Kondtra and adapterize spec file.

Revision 1.107  2002/06/04 09:07:57  blues
- added DESTDIR fix patch

Revision 1.106  2002/06/04 08:39:42  blues
- place pid in /var/run

Revision 1.105  2002/06/04 08:14:43  blues
- fix lock dir - samba looks for lock in strange place...

Revision 1.104  2002/06/03 20:56:55  blues
- release 1 - it works for me, why not use it?
- fixed libsmbclient descriptions
STBR, I think

Revision 1.103  2002/05/25 17:13:49  misiek
- fix libsmbclient requires

Revision 1.102  2002/05/21 23:14:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.101  2002/05/21 11:32:59  kloczek
- release 0.4,
- rename libsmbclient{,-devel} to -n libsmbclient{,-devel},
- use new %doc packing automation.

Revision 1.100  2002/05/21 09:43:40  mkochano
- Kurwama

Revision 1.99  2002/05/21 09:10:14  mkochano
- Create /usr/lib.

Revision 1.98  2002/05/21 08:50:02  mkochano
- What a bright idea: %define libdir %{_sysconfdir}...

Revision 1.97  2002/05/21 08:41:45  mkochano
- Corrected requirement.

Revision 1.96  2002/05/20 23:13:15  mkochano
- Release 0.3.
- Added libsmbclient{,-devel} subpackages. I think we'll be able to
  build konqueror with samba support now.

Revision 1.95  2002/05/20 12:34:24  pioklo
- remove outdated patch7 ,rel 0.2 ,STBR -> test

Revision 1.94  2002/05/20 09:09:45  pioklo

- up to 2.2.4
- remove outdated patch vfs modules (patch10)
- remove patch srv_spoolss (patch6)
- relase 0.1
- need test ,  compile ok

Revision 1.93  2002/04/21 09:59:42  misiek
- argh, don't apply v6 patch when without ipv6

Revision 1.92  2002/04/21 09:58:57  misiek
- conditional ipv6 support (disabled by default for now)

Revision 1.91  2002/04/18 15:34:13  misiek
- include docs

Revision 1.90  2002/04/18 15:16:44  misiek
- updated to 2.2.3a + fixed quotas on 2.4.x

Revision 1.89  2002/04/17 21:08:11  hunter
-- patch for vfs external modules.

Revision 1.88  2002/04/16 19:19:33  marcus
- changed %%make to everything

Revision 1.87  2002/04/15 16:45:20  misiek
- updated to 2.2.3a but requires testing

Revision 1.86  2002/04/14 20:13:05  undefine
- release 4 to rebuild with fixed smb.init

Revision 1.85  2002/04/12 13:45:08  qboosh
- removed make_* from base (they are in -common); release 3

Revision 1.84  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.83  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.82  2002/02/15 09:38:05  qboosh
- added (conditional) LDAP support

Revision 1.81  2002/02/08 18:51:49  blues
- release 2
- adapterized
- added conditional start od winbindd

Revision 1.80  2002/02/03 18:46:58  marcus
- winbindd added, STBR

Revision 1.79  2002/02/03 12:52:04  marcus
- updated to 2.2.3 (fixed some memory leaks and fixed Win2000 support)
- rc-script need update for winbindd

Revision 1.78  2002/01/18 08:38:08  qboosh
- s/Administacyjne/Administracyjne/

Revision 1.77  2002/01/18 02:14:51  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.76  2002/01/05 23:01:27  serek
- now :-) builds.

Revision 1.75  2002/01/05 22:55:01  serek
- now builds.

Revision 1.74  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.73  2001/11/24 01:26:38  kloczek
- added samba-swat to Provides, Obsolets in swat subpackage for allow upgrade
  from RH version.

Revision 1.72  2001/10/11 14:06:05  qboosh
- missing pl summary, BuildRequires: autoconf

Revision 1.71  2001/10/08 08:50:31  marcus
- reverted and fixed gzipping %%doc (thanks to qboosh)

Revision 1.70  2001/10/07 20:04:34  marcus
- removed gzipping %doc (using rpm automation)

Revision 1.69  2001/10/05 19:14:35  baggins
- release 4
- more debug 0 suckage

Revision 1.68  2001/10/03 01:12:47  baggins
- release 3
- added samba-debug-0-suxorz.patch, some messages should not be at level 0

Revision 1.67  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.66  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.64  2001/07/20 20:37:19  migo
- s/linuxow/linuksow/

Revision 1.63  2001/07/14 23:55:13  kloczek
- release 2: rebuild again on openssl 0.9.6a.

Revision 1.62  2001/07/12 13:31:19  kloczek
- updated to 2.2.1a.

Revision 1.61  2001/07/11 22:09:14  lukasz
-fixed doc section

Revision 1.60  2001/07/11 18:47:40  lukasz
- updated to 2.2.1

Revision 1.59  2001/06/24 14:34:55  lukasz
- 2.2.0a (fixed security bug)

Revision 1.58  2001/05/10 07:33:10  misiek
- added missing BuildRequires: openssl-devel >= 0.9.6a
- release 2

Revision 1.57  2001/04/18 01:03:11  misiek
typo

Revision 1.56  2001/04/18 00:36:42  misiek
2.2.0 (testing package release)

Revision 1.55  2001/04/13 00:53:54  kloczek
- release 29: rebuild against readline 4.2.

Revision 1.54  2001/04/09 08:08:48  mkochano
- Release 28.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.53  2001/04/07 10:34:53  misiek
adapterized; added defattr; moved doc to common subpackage; stb

Revision 1.52  2001/04/07 01:34:35  martii
- release 27
- samba divided into server, common and client - please verify this is my first spec ...

Revision 1.51  2001/01/03 14:07:01  zagrodzki
- release 26
- added awk_path.patch

Revision 1.50  2000/12/31 16:26:08  jajcus
- Release: 25
- fix of nmbd packet source address selection

Revision 1.49  2000/11/05 20:25:08  kloczek
- release 24: fixed init script (misiek).

Revision 1.48  2000/11/04 13:14:05  kloczek
- release 23,
- merged patches from RH (autoconf, smbadduser, nocups),
- use new rpm automation,
- spec adapterized,
- fixes for standarize %post/%preun.

Revision 1.47  2000/11/04 12:21:59  bszx
- rc-inetd restart/stop changed into rc-inetd reload

Revision 1.46  2000/10/20 23:24:49  misiek
updated

Revision 1.45  2000/10/14 21:30:08  mkochano
- Release 13.
- Added mksmbpasswd.sh used to convert /etc/passwd to /etc/smbpasswd.

Revision 1.44  2000/07/13 23:21:18  baggins
- release 12
- rebuild with ncurses 5.1

Revision 1.43  2000/07/13 11:23:42  mkochano
- Fixed bug in 'post' section.

Revision 1.42  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.41  2000/05/05 15:06:00  mis
- Group: synced with PLD groups

Revision 1.40  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.39  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.38  2000/03/23 14:23:14  kloczek
- release 10,
- added nsl patch for linking samba binaries with libnsl (from rawhide),
- added smbprint patch with fixes paths in smbprint script,
- new init script rc-scripts 0.2.0 compliant,
- added %triggerpostun for samba < 1.9.18p7 and samba < 2.0.5a-3 (from RH
  spec),
- build against readline 4.1,
- removved bogus stripping fron %install.

Revision 1.37  2000/02/14 08:49:52  waszi
- fixed symlinks

Revision 1.36  2000/02/03 08:53:47  waszi
- another small changes (pam.d or init.d)

Revision 1.35  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.34  1999/11/29 04:44:20  kloczek
- release 3,
- added manpages_PLD_fixes patch.

Revision 1.33  1999/11/28 17:29:44  kloczek
- added glibc21 patch from rawhide.

Revision 1.32  1999/11/27 00:26:36  kloczek
- added fix_link_libs patch which fix link libraries list for each binary
  (now each binaries depends on only neccessary libraries),
- fixed init script:
  - now this is /bin/sh script,
  - added reload target,
- added making /etc/security in %install,
- added /var/log/archiv/samba directory for archiving by logrotate old log
  giles (modified samba.logrotate for this).

Revision 1.31  1999/11/26 18:54:28  kloczek
- added /etc/security/blacklist.samba file.

Revision 1.30  1999/11/26 17:33:02  jajcus
- some (not so pretty) fixes, so package compiles

Revision 1.29  1999/11/26 13:52:19  kloczek
- added DESTDIR style %install (DESTDIR patch),
- cuted %%changelog,
- added noreplace for sysconfig file for samba,
- fiew files separated into Source# files.

Revision 1.28  1999/11/25 13:45:04  pius
- added swat.inetd
- added 'Requires: rc-inted, inetdaemon' to swat subpackage
- added %%post{un} scripts for swat subpackage

Revision 1.27  1999/11/25 05:27:45  kloczek
- more doc (added sample config files),
- standarized %post,
- added stripping binaries,
- changed permission on init script to 754,
- some cosmetic changes.

Revision 1.26  1999/11/24 09:51:51  wiget
- added more documentations
- some cleanups

Revision 1.25  1999/11/24 09:04:09  kloczek
- release 2 (in rawhide is 1),
- build against ncurses 5.0,
- more rpm macros,
- %description reformatings and reorders,
- adapter(ized).

Revision 1.24  1999/11/23 23:58:41  wiget
- updated to 2.0.6

Revision 1.23  1999/10/29 22:51:31  wiget
- enable pam support
- added translations from Mandrake

Revision 1.22  1999/08/05 21:58:23  waszi
upgraded to 2.0.5a

Revision 1.21  1999/07/28 13:31:10  baggins
- stripping binaries

Revision 1.20  1999/07/21 14:33:43  baggins
- fixed %install
- added samba.pamd

Revision 1.19  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/18 14:53:24  baggins
- fixed bogus Group: field
